=== debian/changelog ===
debian-installer (20241227) unstable; urgency=medium

  [ Cyril Brulebois ]
  * The “さようなら、あーうぇんちゃん” release.
  * Bump Linux kernel ABI to 6.12.6.
  * Bump (temporary) linux-image build-deps accordingly.
  * Set DRM_DIR using /usr/lib/… instead of /lib/… since the former is where
    linux-image-* packages ship their modules.
  * Update translation-status for the release.
  * Drop the “12” version from the Emerald boot screen: drop the SVG paths
    for the 1 and 2 digits after the Debian logo and name, to avoid any
    confusion until the Ceratopsian theme gets integrated.

  [ Aurelien Jarno ]
  * Add riscv64 to RELEASE_ARCHES in order to use udebs from testing. Do not
    force DEBIAN_RELEASE to unstable.
  * Add monolithic support for riscv64.
  * Update riscv64 grub config to use UEFI Graphics Output Protocol if
    available.
  * Create a UEFI Unified Kernel Image (UKI) for the netboot and monolithic
    targets on riscv64.

  [ Ben Hutchings ]
  * Update pkg-lists to make kernel udebs removed in 6.11.2-1 optional

  [ John Paul Adrian Glaubitz ]
  * loong64: Add scsi-modules to cdrom pkg-lists

  [ Pascal Hambourg ]
  * Add console-setup-pc-ekmap for arm64 and armhf cdrom. Closes: #1089010.

  [ Timothy Pearson ]
  * Add fb-modules for ppc64 and ppc64el cdrom and netboot. Closes: #1037186.

  [ John Paul Adrian Glaubitz ]
  * sh4: Don't unversion the kernel as multiple flavors are supported

 -- Cyril Brulebois <kibi@debian.org>  Fri, 27 Dec 2024 10:14:03 +0100
