## debian-installer 20241227devuan1

=== debian/changelog ===
debian-installer (20241227devuan1) unstable; urgency=medium

  * Merge tag 20241227.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 31 Dec 2024 07:18:52 +0000

debian-installer (20240914devuan1) unstable; urgency=medium

  * Merge tag 20240914.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 15 Sep 2024 16:04:43 +0100
