=== debian/changelog ===
debian-installer (20250515) unstable; urgency=medium

  [ Alper Nebi Yasak ]
  * Use simple assignment for dpkg-architecture variables in Makefile
    (Closes: #1091537)
  * [arm64] Increase SD card image sizes for netboot (150MB → 300MB) and
    netboot-gtk (200MB → 400MB).

  [ Cyril Brulebois ]
  * Bump Linux kernel ABI to 6.12.27.
  * Bump (temporary) linux-image build-deps accordingly.
  * Stop called depmod with deprecated option -q, ignored by kmod v33, and
    now rejected by kmod v34.
  * Update translation-status for the release.

  [ Niels Thykier ]
  * Set `Rules-Requires-Root: binary-targets` (Closes: #1091668).

  [ Helge Deller ]
  * hppa: Add some important kernel modules to hppa cdrom image to avoid
    dependency of current kernel in debian-ports archive

  [ Samuel Thibault ]
  * hurd-amd64: Fix xen kernel package name.
  * control: Drop gnupg build-dependency, not used by apt any more.

  [ Holger Wansing ]
  * Drop support for win32-loader.

  [ Vagrant Cascadian ]
  * armhf: Drop u-boot image for PandaBoard, support was removed from
    u-boot upstream version 2024.10.

  [ Steve McIntyre ]
  * Add initial support for the Ceratopsian theme (Debian 13).

 -- Cyril Brulebois <kibi@debian.org>  Thu, 15 May 2025 05:49:50 +0200
