## debian-installer 20250515devuan1

=== debian/changelog ===
debian-installer (20250515devuan1) unstable; urgency=medium

  * Merge tag 20250515.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 15 May 2025 19:13:46 +0100
