## debian-installer 20250630+kali1

=== build/Makefile ===
--- 
+++ 
@@ -66,6 +66,17 @@
 	tiny/bochs.ko          \
 	tiny/cirrus.ko         \
 	ttm/ttm.ko
+endif
+
+# Sound support for Intel might be funky and require i915 bits:
+export DRIVERS_DIR := /usr/lib/modules/$(KERNELVERSION)/kernel/drivers
+ifndef SPEECH_MODULES
+export SPEECH_MODULES :=                      \
+	gpu/drm/display/drm_display_helper.ko \
+	gpu/drm/drm_buddy.ko                  \
+	gpu/drm/i915/i915.ko                  \
+	media/cec/core/cec.ko                 \
+	media/rc/rc-core.ko
 endif
 
 # Add to PATH so dpkg will always work, and so local programs will be found.
@@ -373,10 +384,3 @@
 	echo -n > $(TEMP)/diskusage.txt
 	set -e; \
 	oldsize=0; oldblocks=0; oldcount=0; for udeb in $(UDEBDIR)/*.udeb ; do \
-		if [ -f "$$udeb" ]; then \
-			pkg=`basename $$udeb` ; \
-			$(EATMYDATA) dpkg $(DPKG_UNPACK_OPTIONS) --path-include='*' --log=/dev/null --root=$(TREE) --unpack $$udeb ; \
-			newsize=`du -bs $(TREE) | awk '{print $$1}'` ; \
-			newblocks=`du -s $(TREE) | awk '{print $$1}'` ; \
-			newcount=`find $(TREE) -type f | wc -l | awk '{print $$1}'` ; \
-			usedsize=`echo $$newsize - $$oldsize | bc`; \
