=== debian/changelog ===
debian-installer (20250630+kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Bump Linux kernel ABI to 6.12.33+kali

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 01 Jul 2025 11:46:01 +0200

debian-installer (20250630) unstable; urgency=medium

  * Bump Linux kernel ABI to 6.12.33+deb13.
  * Bump (temporary) linux-image build-deps accordingly.
  * Add MotoyaLCedar font for proper Japanese support, with many thanks to
    Kentaro HAYASHI (#1037256):
     - Add fonts-motoya-l-cedar-udeb to gtk-common.
  * Stop setting DPKG_UNPACK_OPTIONS = --force-overwrite, as we shouldn't
    be needing this nominally, and it tends to hide bugs (See: #1107392).
    With thanks to Jörn Heissler for the bug report and Michael Tokarev
    for the quick fix on the busybox-udeb side.
  * Improve support for speech synthesis, embedding some i915-related
    modules on amd64, for graphical targets.
  * Update translation-status for the release.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 30 Jun 2025 20:46:10 +0200

debian-installer (20250506+kali1) kali-dev; urgency=medium

  [ Alper Nebi Yasak ]
  * [arm64] Increase SD card image sizes for netboot (150MB → 300MB) and
    netboot-gtk (200MB → 400MB).

  [ Cyril Brulebois ]
  * Bump Linux kernel ABI to 6.12.25.
  * Bump (temporary) linux-image build-deps accordingly.

  [ Samuel Thibault ]
  * control: Drop gnupg build-dependency, not used by apt any more.

  [ Holger Wansing ]
  * Drop support for win32-loader.

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 06 May 2025 11:09:20 +0200

debian-installer (20250402+kali1) kali-dev; urgency=medium

  [ Cyril Brulebois ]
  * Bump Linux kernel ABI to 6.12.20.
  * Bump (temporary) linux-image build-deps accordingly.
  * Stop called depmod with deprecated option -q, ignored by kmod v33, and
    now rejected by kmod v34.

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 02 Apr 2025 15:55:43 +0200

debian-installer (20250213+kali1) kali-dev; urgency=medium

  [ Alper Nebi Yasak ]
  * Use simple assignment for dpkg-architecture variables in Makefile
    (Closes: #1091537)

  [ Cyril Brulebois ]
  * Bump Linux kernel ABI to 6.12.13.
  * Bump (temporary) linux-image build-deps accordingly.

  [ Niels Thykier ]
  * Set `Rules-Requires-Root: binary-targets` (Closes: #1091668).

  [ Helge Deller ]
  * hppa: Add some important kernel modules to hppa cdrom image to avoid
    dependency of current kernel in debian-ports archive

  [ Samuel Thibault ]
  * hurd-amd64: Fix xen kernel package name.

  [ Sophie Brun ]
  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 13 Feb 2025 15:57:29 +0100

debian-installer (20241213+kali2) kali-dev; urgency=medium

  * Update boot menu background
  * Optimize boot menu image

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 11 Feb 2025 10:00:09 +0100

debian-installer (20241213+kali1) kali-dev; urgency=medium

  [ Cyril Brulebois ]
  * Bump Linux kernel ABI to 6.11.10.
  * Bump (temporary) linux-image build-deps accordingly.

  [ Aurelien Jarno ]
  * Add riscv64 to RELEASE_ARCHES in order to use udebs from testing. Do not
    force DEBIAN_RELEASE to unstable.
  * Add monolithic support for riscv64.
  * Update riscv64 grub config to use UEFI Graphics Output Protocol if
    available.

  [ Ben Hutchings ]
  * Update pkg-lists to make kernel udebs removed in 6.11.2-1 optional

  [ John Paul Adrian Glaubitz ]
  * loong64: Add scsi-modules to cdrom pkg-lists

  [ Sophie Brun ]
  * Sync with Salsa for Kali

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 13 Dec 2024 11:08:21 +0100

debian-installer (20241021+kali1) kali-dev; urgency=medium

  [ Cyril Brulebois ]
  * Bump Linux kernel ABI to 6.11.2.
  * Bump (temporary) linux-image build-deps accordingly.

  [ Aurelien Jarno ]
  * Add riscv64 to RELEASE_ARCHES in order to use udebs from testing. Do not
    force DEBIAN_RELEASE to unstable.

  [ Ben Hutchings ]
  * Update pkg-lists to make kernel udebs removed in 6.11.2-1 optional

  [ Sophie Brun ]
  * Sync with Salsa for Kali

 -- Cyril Brulebois <kibi@debian.org>  Mon, 23 Sep 2024 16:38:37 +0200

debian-installer (20240912+kali7) kali-dev; urgency=medium

  * Bump to kernel 6.10.11

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 10 Oct 2024 10:14:29 +0200

debian-installer (20240912+kali6) kali-dev; urgency=medium

  * Upload to kali-dev 

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 09 Oct 2024 08:41:42 +0700

debian-installer (20240912+kali5) kali-experimental; urgency=medium

  * Automatically use packages from kali-experimental

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 07 Oct 2024 13:51:48 +0700

debian-installer (20240912+kali4) kali-experimental; urgency=medium

  * Upload to kali-experimental

 -- Arnaud Rebillout <arnaudr@kali.org>  Sat, 05 Oct 2024 20:25:36 +0700

debian-installer (20240912+kali3) kali-dev; urgency=medium

  * Fix the build on i386, this arch is no longer supported for Secure Boot
  * Bump Linux kernel ABI to 6.10.9.

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 13 Sep 2024 15:19:34 +0200

debian-installer (20240912+kali2) kali-dev; urgency=medium

  * Downgrade Linux kernel ABI to 6.8.11 

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 12 Sep 2024 18:40:52 +0200

debian-installer (20240912+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 12 Sep 2024 18:27:36 +0200

debian-installer (20240531+kali2) kali-dev; urgency=medium

  [ Helmut Grohne ]
  * extend merge-usr tool to cover base-files functionality

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 28 Jun 2024 11:39:41 +0700

debian-installer (20240531+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 10 Jun 2024 15:09:34 +0200

debian-installer (20240416+kali1) kali-dev; urgency=medium

  [ Cyril Brulebois ]
  * Bump Linux kernel ABI to 6.6.15.
  * Bump linux-image build-deps accordingly.

  [ Holger Wansing ]

