=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: debian-installer
 Section: devel
 Priority: optional
-Maintainer: Devuan Maintainers <devuan-dev@lists.dyne.org>
-Uploaders: Daniel Reurich <daniel@centurion.net.nz>, Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>, Mark (LeePen) Hindley <mark@hindley.org.uk>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Cyril Brulebois <kibi@debian.org>
 Rules-Requires-Root: binary-targets
 Standards-Version: 4.3.0
-Vcs-Git: git://git.devuan.org/devuan/debian-installer.git
-Vcs-Browser: https://git.devuan.org/devuan/debian-installer/
-Origin: Devuan
+XS-Debian-Vcs-Git: https://salsa.debian.org/installer-team/debian-installer.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/installer-team/debian-installer
+Vcs-Git: https://gitlab.com/kalilinux/packages/debian-installer.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/debian-installer
 Build-Depends:
 # Base build dependencies:
 	debhelper (>= 11),
@@ -16,7 +18,8 @@
 # 		Used for downloading udebs.
 	apt-utils,
 # 		apt-ftparchive is used for including localudebs.
-	devuan-keyring (>= 2016.11.22),
+	debian-archive-keyring (>= 2006.11.22),
+	kali-archive-keyring,
 #		To provide the archive key for security checks.
 	dctrl-tools,
 #		Various manipulations of the udeb Packages files.
@@ -32,6 +35,8 @@
 #		For hex2bdf used in font building.
 	bogl-utils,
 #		For bdftobogl used in font reduction.
+	ca-certificates,
+#               To embed CA certificates to verify https connections
 	libgcc-s1 [!hppa !m68k], libgcc-s2 [m68k], libgcc-s4 [hppa],
 #		The GCC support library is copied to the to the installation
 #		image. This is a hack and needs to be replaced by a proper
@@ -100,10 +105,12 @@
 	emile [m68k],
 	emile-bootblocks [m68k],
 #		Bootloader for m68k/mac machines.
-	shim-signed [amd64 arm64],
-	grub-efi-amd64-signed [amd64],
-	grub-efi-arm64-signed [arm64],
+#	shim-signed [amd64 arm64],
+#	grub-efi-amd64-signed [amd64],
+#	grub-efi-arm64-signed [arm64],
 #	        Signed bootloader components for UEFI Secure Boot
+	shim-unsigned [amd64 arm64],
+	grub-efi-amd64-bin [amd64],
 	grub-efi-amd64-bin [hurd-amd64],
 	grub-efi-arm64-bin [arm64],
 	grub-efi-ia32-bin [hurd-i386 i386],
@@ -166,13 +173,14 @@
 #		when creating ISO hybrid images on amd64 and i386 systems.
 	fontconfig,
 #		Used to generate a font cache through fc-cache, for gtk flavours
-	linux-image-6.12.27-amd64 [amd64],
-	linux-image-6.12.27-arm64 [arm64],
+	linux-image-6.12.33+kali-amd64 [amd64],
+	linux-image-6.12.33+kali-arm64 [arm64],
 #		Ship some more drm modules, without waiting on fb-modules (#1036019)
 
 Package: debian-installer
-Architecture: any
+Architecture: amd64 arm64 armhf
+Built-Using: ${initrd:Built-Using}, ${extra:Built-Using}
 Depends: ${misc:Depends}
-Description: Devuan's debian installer
- This package currently only contains some documentation for the Devuan version
- of the debian installer. We welcome suggestions about what else to put in it.
+Description: Debian Installer documentation
+ This package currently only contains some documentation for the Debian
+ installer. We welcome suggestions about what else to put in it.
