## debian-installer 20250701

=== build/Makefile ===
--- 
+++ 
@@ -106,7 +106,6 @@
 # via recursive make calls. ARCH is constant, we don't support
 # crosscompiling.
 ARCH = $(DEB_HOST_ARCH)
-OS = $(DEB_HOST_ARCH_OS)
 
 # By default, we just advertise what we can do.
 .PHONY: all
@@ -130,7 +129,6 @@
 include config/common
 include config/dir
 -include config/$(ARCH).cfg
--include config/$(OS).cfg
 -include config/$(ARCH)/$(SUBARCH).cfg
 -include config/$(ARCH)/$(SUBARCH)/$(MEDIUM).cfg
 -include config/$(ARCH)/$(SUBARCH)/$(MEDIUM)/$(FLAVOUR).cfg
@@ -384,3 +382,5 @@
 	echo -n > $(TEMP)/diskusage.txt
 	set -e; \
 	oldsize=0; oldblocks=0; oldcount=0; for udeb in $(UDEBDIR)/*.udeb ; do \
+		if [ -f "$$udeb" ]; then \
+			pkg=`basename $$udeb` ; \
