=== debian/changelog ===
debian-installer (20250701) unstable; urgency=medium

  * Remove kmod-udeb_30+20230601-2.1 from CHECK_MINIMAL_VERSION. It was
    hidden away and now triggers problems on mips64el for reasons that
    remain to be investigated.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 01 Jul 2025 12:07:53 +0200
