=== debian/control ===
--- 
+++ 
@@ -1,15 +1,12 @@
 Source: debian-installer
 Section: devel
 Priority: optional
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Maintainer: Kali Developers <devel@kali.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Cyril Brulebois <kibi@debian.org>
 Rules-Requires-Root: binary-targets
 Standards-Version: 4.3.0
-XS-Debian-Vcs-Git: https://salsa.debian.org/installer-team/debian-installer.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/installer-team/debian-installer
-Vcs-Git: https://gitlab.com/kalilinux/packages/debian-installer.git
-Vcs-Browser: https://gitlab.com/kalilinux/packages/debian-installer
+Vcs-Git: https://salsa.debian.org/installer-team/debian-installer.git
+Vcs-Browser: https://salsa.debian.org/installer-team/debian-installer
 Build-Depends:
 # Base build dependencies:
 	debhelper (>= 11),
@@ -19,7 +16,6 @@
 	apt-utils,
 # 		apt-ftparchive is used for including localudebs.
 	debian-archive-keyring (>= 2006.11.22),
-	kali-archive-keyring,
 #		To provide the archive key for security checks.
 	dctrl-tools,
 #		Various manipulations of the udeb Packages files.
@@ -35,8 +31,6 @@
 #		For hex2bdf used in font building.
 	bogl-utils,
 #		For bdftobogl used in font reduction.
-	ca-certificates,
-#               To embed CA certificates to verify https connections
 	libgcc-s1 [!hppa !m68k], libgcc-s2 [m68k], libgcc-s4 [hppa],
 #		The GCC support library is copied to the to the installation
 #		image. This is a hack and needs to be replaced by a proper
@@ -105,12 +99,10 @@
 	emile [m68k],
 	emile-bootblocks [m68k],
 #		Bootloader for m68k/mac machines.
-#	shim-signed [amd64 arm64],
-#	grub-efi-amd64-signed [amd64],
-#	grub-efi-arm64-signed [arm64],
+	shim-signed [amd64 arm64],
+	grub-efi-amd64-signed [amd64],
+	grub-efi-arm64-signed [arm64],
 #	        Signed bootloader components for UEFI Secure Boot
-	shim-unsigned [amd64 arm64],
-	grub-efi-amd64-bin [amd64],
 	grub-efi-amd64-bin [hurd-amd64],
 	grub-efi-arm64-bin [arm64],
 	grub-efi-ia32-bin [hurd-i386 i386],
@@ -173,12 +165,12 @@
 #		when creating ISO hybrid images on amd64 and i386 systems.
 	fontconfig,
 #		Used to generate a font cache through fc-cache, for gtk flavours
-	linux-image-6.12.33+kali-amd64 [amd64],
-	linux-image-6.12.33+kali-arm64 [arm64],
+	linux-image-6.12.33+deb13-amd64 [amd64],
+	linux-image-6.12.33+deb13-arm64 [arm64],
 #		Ship some more drm modules, without waiting on fb-modules (#1036019)
 
 Package: debian-installer
-Architecture: amd64 arm64 armhf
+Architecture: any
 Built-Using: ${initrd:Built-Using}, ${extra:Built-Using}
 Depends: ${misc:Depends}
 Description: Debian Installer documentation
